- Qt 6.10
- Qt 3D
- C++ Classes
- Qt3DInput (Deprecated)
- QAnalogAxisInput
- Qt 6.10.2 Reference Documentation

# Qt3DInput::QAnalogAxisInput Class

class Qt3DInput::QAnalogAxisInput

An axis input controlled by an analog input The axis value is controlled like a traditional analog input such as a joystick. More...

Header: | `#include <Qt3DInput/QAnalogAxisInput>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3dinput)` `target_link_libraries(mytarget PRIVATE Qt6::3dinput)`
qmake: | `QT += 3dinput`
In QML: | AnalogAxisInput
Inherits: | Qt3DInput::QAbstractAxisInput
Status: | Deprecated

- List of all members, including inherited members

## Properties

- axis : int

## Public Functions

| QAnalogAxisInput(Qt3DCore::QNode *parent = nullptr)
int | axis() const

## Public Slots

void | setAxis(int axis)

## Signals

void | axisChanged(int axis)

## Detailed Description

## Property Documentation

### axis : int

Axis for the analog input.

Access functions:

int | axis() const
void | setAxis(int axis)

Notifier signal:

void | axisChanged(int axis)

See also Qt3DInput::QMouseDevice::Axis.

## Member Function Documentation

### `[explicit]` QAnalogAxisInput::QAnalogAxisInput(Qt3DCore::QNode *parent = nullptr)

Constructs a new QAnalogAxisInput instance with parent.